%global modname narcissus.app

Name:               python-narcissus-app
Version:            0.9.1
Release:            3%{?dist}
Summary:            WSGI components for Narcissus, realtime log visualization
Group:              Development/Libraries
License:            AGPLv3+
URL:                http://pypi.python.org/pypi/narcissus.app
Source0:            http://pypi.python.org/packages/source/n/%{modname}/%{modname}-%{version}.tar.gz
Source1:            narcissus.ini
Source2:            narcissus.conf
Source3:            narcissus.wsgi

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-narcissus-common
BuildRequires:      python-flask
BuildRequires:      python-moksha-wsgi
BuildRequires:      python-tw2-polymaps
BuildRequires:      python-tw2-jqplugins-jqplot
BuildRequires:      python-tw2-slideymenu

Requires:           python-narcissus-common
Requires:           python-flask
Requires:           python-moksha-wsgi
Requires:           python-tw2-polymaps
Requires:           python-tw2-jqplugins-jqplot
Requires:           python-tw2-slideymenu

%description
This package contains the wsgi components for narcissus.  Narcissus
is a web application that visualizes web server hits as they happen
in real time.

Features:

 * IP addresses converted to latitude/longitude, then streamed via
   WebSockets to `polymaps <http://polymaps.org/>`_.
 * Realtime graphs of what countries are downloading what content
   with `d3 <http://d3js.org>`_.
 * `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.
 * **Fast**.  No polling.

You can see a demo running live at http://narcissus.rc.rit.edu
It is visualizing the logs of http://mirror.rit.edu

%package -n narcissus-app
Summary:    WSGI app for Narcissus, realtime log visualization
Group:      Applications/Internet
Requires:   %{name} = %{version}-%{release}
Requires:   httpd
Requires:   mod_wsgi

%description -n narcissus-app
This package contains the wsgi app for narcissus.  Narcissus is a
web application that visualizes web server hits as they happen
in real time.

Features:

 * IP addresses converted to latitude/longitude, then streamed via
   WebSockets to `polymaps <http://polymaps.org/>`_.
 * Realtime graphs of what countries are downloading what content
   with `d3 <http://d3js.org>`_.
 * `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.
 * **Fast**.  No polling.

You can see a demo running live at http://narcissus.rc.rit.edu
It is visualizing the logs of http://mirror.rit.edu

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf.d/
%{__mkdir_p} %{buildroot}%{_datadir}/narcissus/
%{__cp} %{SOURCE1} %{buildroot}%{_sysconfdir}/narcissus.ini
%{__cp} %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/narcissus.conf
%{__cp} %{SOURCE3} %{buildroot}%{_datadir}/narcissus/narcissus.wsgi

%files
%doc README.rst LICENSE
%{python_sitelib}/narcissus/app/
%{python_sitelib}/%{modname}-%{version}*

# Development server
%{_bindir}/narcissus.app-serve

%files -n narcissus-app
%{_datadir}/narcissus/narcissus.wsgi
%config(noreplace) %{_sysconfdir}/httpd/conf.d/narcissus.conf
%config(noreplace) %{_sysconfdir}/narcissus.ini

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 0.9.1-1
- Initial package for Fedora
